import { ref , watch } from 'vue';
import { store } from '@/store/index';
import type { AppRouteRecordRaw } from '@/router/types';
import { HomeOutlined } from '@ant-design/icons-vue';

// import LOGIN from '@/views/login/login.vue';
// import HOME from '@/views/home/home.vue';
import Layout from '@/components/layout/index.vue';
import { routesModuleList } from '@/router/dynamic';
import { routesManageModuleList } from '@/router/manageDynamic';

// // 登录路由
// export const LoginRoute: AppRouteRecordRaw = {
// 	path: '/login',
// 	name: 'login',
// 	component: LOGIN,
// 	meta: {
// 		title: '登录'
// 	}
// }


// layout路由
export const LayoutRoute : AppRouteRecordRaw = {
	path: '',
	name: 'layout',
	component: Layout,
	redirect: '/job/home',
	children: [
		...routesModuleList
	]
	// children: [
	// 	...routesManageModuleList
	// ]

}

let roleName = ref<String>(store.state.roleName)
console.log(roleName)
watch(() => roleName, (newVal) => {
	if(roleName == newVal) {
		LayoutRoute.children = [...routesModuleList];
		LayoutRoute.redirect = '/job/home';
		
	} else {
		LayoutRoute.children = [...routesManageModuleList]
		LayoutRoute.redirect = '/manage/home';
	}
})

console.log(LayoutRoute)
export const basicRoutes = [
	LayoutRoute
]