import { Module } from 'vuex';
import { useAsRouter } from '@/hooks/useAsRouter';
import { routesModuleList } from '@/router/dynamic';
import { routesManageModuleList } from '@/router/manageDynamic'; // 企业管理
import { LayoutRoute } from '@/router/routes';

const { routerDynamic, routerAdd, routerInit } = useAsRouter();


export interface PermissionState {
	menuList : string[];
	permissionList : string[] | null;
	breadcrumbList : string[];
}

const state : PermissionState = {
	menuList: [],
	permissionList: null,
	breadcrumbList: []
};

const mutations = {
	SET_PERMISSION(state, routes) {
		state.permissionList = routes
	},
	SET_MENU(state, menu) {
		state.menuList = menu
	}
};

const actions = {
	async FETCH_PERMISSION({
		commit
	}) {
		try {
			if(sessionStorage.getItem('role') == "company") {
				LayoutRoute.redirect =  '/manage/home'
				LayoutRoute.children = routesManageModuleList
				routerAdd(LayoutRoute);
			} else {
				
				LayoutRoute.children = routesModuleList
				routerAdd(LayoutRoute);
			}
		} catch {

		}
	}
};

export const permissionsModule : Module<PermissionState> = {
	namespaced: true,
	state,
	mutations,
	actions
};